Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 226691 - app-emulation/open-vm-tools: patch (disable-toolbox.patch) changes both autotools source and result
Summary: app-emulation/open-vm-tools: patch (disable-toolbox.patch) changes both autot...
Status: RESOLVED INVALID
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo VMWare Bug Squashers [disabled]
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: bad-autotools
  Show dependency tree
 
Reported: 2008-06-14 15:59 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2008-06-15 12:34 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2008-06-14 15:59:58 UTC
The patch in summary is touching both Makefile.in and Makefile.am, probably to avoid autotools rebuild.

This treatment is usually reserved for a few selected system packages that cannot have their autotool scripts rebuilt.

This _could_ cause maintainermode-driven rebuild (see http://blog.flameeyes.eu/articles/2008/06/13/maintaner-mode ), which is something we should be avoiding as much as possible.

Please just patch Makefile.am and/or configure.in/.ac and rebuild autotools, unless you have very good reasons not to.
Comment 1 Mike Auty gentoo-dev 2008-06-15 12:34:51 UTC
Thanks for the notice, Diego.  5:)

I believe that the disable-toolbox patch is now leftover cruft (upstream was informed of the issue, and fixed it themselves).  As far as I'm aware, the patch is not applied in any of the current ebuilds in the tree (it's only present in the 2007xxxx ebuild, and the epatch line is commented out there).

Next time I do a version bump of the package, I'll clean out the patch (and the old ebuild too probably).

I'm going to mark this as invalid (since I don't think there's anything to actually fix in this instance), but if you feel there's anything else I need to do to resolve this, please reopen the bug and let me know.  Thanks...  5:)